package com.huiju.welcome.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaCustomerTransfer;
import com.huiju.welcome.model.TdGoodsType;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Mapper
public interface TaCustomerTransferMapper extends BaseMapper<TaCustomerTransfer> {

    /**
     *
     * @param pg
     * @param fromUserName
     * @param fromUserId
     * @param toUserName
     * @param toUserId
     * @return
     */
    IPage<TaCustomerTransfer> customerTransferList(IPage<TaCustomerTransfer> pg,
                                                   @Param("fromUserName") String fromUserName,
                                                   @Param("fromUserId") Integer fromUserId,
                                                   @Param("toUserName") String toUserName,
                                                   @Param("toUserId") Integer toUserId);
}
